using System.Text.Json;
using System.Text.Json.Serialization;

namespace View_by_Distance.Shared.Models;

public class FaceEncoding : Properties.IFaceEncoding
{

    protected double[] _RawEncoding;
    protected int _Size;
    public double[] RawEncoding => _RawEncoding;
    public int Size => _Size;

    [JsonConstructor]
    public FaceEncoding(double[] rawEncoding, int size)
    {
        _RawEncoding = rawEncoding;
        _Size = size;
    }

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, new JsonSerializerOptions() { WriteIndented = true });
        return result;
    }

}