using System.Text.Json;
using System.Text.Json.Serialization;

namespace View_by_Distance.Shared.Models;

public class PersonNameMiddle : Properties.IPersonNameMiddle
{

    protected readonly string _Value; // {{1}}SingletonValue

    public string Value => _Value; // {{1}}SingletonValue

    [JsonConstructor]
    public PersonNameMiddle
    (
        string value
    ) => _Value = value; // {{1}}SingletonValue

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, new JsonSerializerOptions() { WriteIndented = true });
        return result;
    } // ...

}