using System.Text.Json;
using System.Text.Json.Serialization;

namespace View_by_Distance.Shared.Models;

public class RelativePaths : Properties.IRelativePaths
{

    protected string _Value;
    public string Value => _Value;

    [JsonConstructor]
    public RelativePaths(string value) => _Value = value;

    public DirectoryInfo GetDirectoryInfo(string root)
    {
        DirectoryInfo result = new(string.Concat(root, Value));
        return result;
    }

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, new JsonSerializerOptions() { WriteIndented = true });
        return result;
    }

}