﻿namespace View_by_Distance.Shared.Models.Stateless;

/// <summary>
/// Specifies the file format of the image.
/// </summary>
public enum ImageFormat
{

    /// <summary>
    /// Specifies that the bitmap (BMP) image format.
    /// </summary>
    Bmp,

    /// <summary>
    /// Specifies that the Joint Photographic Experts Group (JPEG) image format.
    /// </summary>
    Jpeg,

    /// <summary>
    /// Specifies that the W3C Portable Network Graphics (PNG) image format.
    /// </summary>
    Png,

}