namespace View_by_Distance.Shared.Models.Stateless.Methods;

public interface IContainer
{

    DateTime[] TestStatic_GetContainerDateTimes(Models.Item[] filteredItems) =>
        GetContainerDateTimes(filteredItems);
    static DateTime[] GetContainerDateTimes(Models.Item[] filteredItems) =>
        Container.GetContainerDateTimes(filteredItems);

    Models.Item[] TestStatic_GetFilterItems(Properties.IPropertyConfiguration propertyConfiguration, Models.Container container) =>
        GetFilterItems(propertyConfiguration, container);
    static Models.Item[] GetFilterItems(Properties.IPropertyConfiguration propertyConfiguration, Models.Container container) =>
       Container.GetFilterItems(propertyConfiguration, container);

    bool TestStatic_IsIgnoreRelativePath(Properties.IPropertyConfiguration propertyConfiguration, string[] ignoreRelativePaths, string directory) =>
        IsIgnoreRelativePath(propertyConfiguration, ignoreRelativePaths, directory);
    static bool IsIgnoreRelativePath(Properties.IPropertyConfiguration propertyConfiguration, string[] ignoreRelativePaths, string directory) =>
        Container.IsIgnoreRelativePath(propertyConfiguration, ignoreRelativePaths, directory);

    Models.Container[] TestStatic_SortContainers(Properties.IPropertyConfiguration propertyConfiguration, string[] ignoreRelativePaths, bool argZeroIsConfigurationRootDirectory, string argZero, Models.Container[] containers) =>
        SortContainers(propertyConfiguration, ignoreRelativePaths, argZeroIsConfigurationRootDirectory, argZero, containers);
    static Models.Container[] SortContainers(Properties.IPropertyConfiguration propertyConfiguration, string[] ignoreRelativePaths, bool argZeroIsConfigurationRootDirectory, string argZero, Models.Container[] containers) =>
        Container.SortContainers(propertyConfiguration, ignoreRelativePaths, argZeroIsConfigurationRootDirectory, argZero, containers);

}