﻿namespace View_by_Distance.Shared.Models.Stateless;

/// <summary>
/// Specifies the image mode.
/// </summary>
public enum Mode
{

    /// <summary>
    /// Specifies that the rgb (8-bit Red, Green and Blue, 3 channels) image mode.
    /// </summary>
    Rgb,

    /// <summary>
    /// Specifies that the greyscale image mode.
    /// </summary>
    Greyscale

}