using System.ComponentModel.DataAnnotations;
using System.Text.Json;

namespace View_by_Distance.Compare.Models.Binder;

public class Configuration
{

#nullable disable
    [Display(Name = "Diff Property Directory"), Required] public string DiffPropertyDirectory { get; set; }
    [Display(Name = "Property Configuration"), Required] public Property.Models.Configuration PropertyConfiguration { get; set; }
    [Display(Name = "Rename"), Required] public string[] Rename { get; set; }
    [Display(Name = "Rename B"), Required] public string[] RenameB { get; set; }
    [Display(Name = "Rename C"), Required] public string[] RenameC { get; set; }
    [Display(Name = "Spelling"), Required] public string[] Spelling { get; set; }

#nullable restore

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, new JsonSerializerOptions() { WriteIndented = true });
        return result;
    }

}