using System.ComponentModel.DataAnnotations;
using System.Text.Json;

namespace View_by_Distance.Not.Copy.Copy.Models.Binder;

public class Configuration
{

#nullable disable

    [Display(Name = "Compare Source"), Required] public string CompareSource { get; set; }
    [Display(Name = "Empty Destination"), Required] public string EmptyDestination { get; set; }
    [Display(Name = "Property Configuration"), Required] public Property.Models.Configuration PropertyConfiguration { get; set; }
    [Display(Name = "Selected Source"), Required] public string SelectedSource { get; set; }

#nullable restore

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, new JsonSerializerOptions() { WriteIndented = true });
        return result;
    }

}