using System.ComponentModel.DataAnnotations;
using System.Text.Json;

namespace View_by_Distance.PrepareForOld.Models.Binder;

public class Configuration
{

#nullable disable

    [Display(Name = "Property Configuration"), Required] public Property.Models.Configuration PropertyConfiguration { get; set; }
    [Display(Name = "Spelling"), Required] public string[] Spelling { get; set; }

#nullable restore

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, new JsonSerializerOptions() { WriteIndented = true });
        return result;
    }

}