using System.Text.Json;
using View_by_Distance.Shared.Models.Methods;

namespace View_by_Distance.Shared.Models;

public class Console : Properties.IConsole, IConsole
{

    ConsoleKey IConsole.ReadKey()
    {
        ConsoleKey result = System.Console.ReadKey().Key;
        return result;
    }

    string? IConsole.ReadLine()
    {
        string? result = System.Console.ReadLine();
        return result;
    }

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, new JsonSerializerOptions() { WriteIndented = true });
        return result;
    }

}