using System.Text.Json;
using System.Text.Json.Serialization;

namespace View_by_Distance.Shared.Models;

public class PersonBirthday : Properties.IPersonBirthday
{

    protected readonly DateTime _Value; // {{1}}SingletonValue

    public DateTime Value => _Value; // {{1}}SingletonValue

    [JsonConstructor]
    public PersonBirthday
    (
        DateTime value
    ) => _Value = value; // {{1}}SingletonValue

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, new JsonSerializerOptions() { WriteIndented = true });
        return result;
    } // ...

}