using System.Text.Json;
using System.Text.Json.Serialization;

namespace View_by_Distance.Shared.Models;

public class PersonNumber : Properties.IPersonNumber
{

    protected readonly string _Value; // <{1}>PluralValue

    public string Value => _Value; // <{1}>PluralValue

    [JsonConstructor]
    public PersonNumber
    (
        string value
    ) => _Value = value; // <{1}>PluralValue

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, new JsonSerializerOptions() { WriteIndented = true });
        return result;
    } // ...

}