namespace View_by_Distance.Shared.Models.Properties;

public interface IPerson
{

    public PersonId Id { get; } //long
    public PersonBirthday Birthday { get; } //DateTime
    public PersonName Name { get; } //JsonValueKind.Object
    public List<PersonComment> Comments { get; } //string
    public List<PersonURL> URLs { get; } //string
    public List<PersonNumber> Numbers { get; } //string
    public List<PersonEmail> Emails { get; } //string
    public List<PersonAddress> Addresses { get; } //JsonValueKind.Array

} // ...