namespace View_by_Distance.Shared.Models.Stateless;

public interface IExif
{

    enum Tags : ushort
    {
        GPSVersionID = 0,
        GPSLatitudeRef = 1,
        GPSLatitude = 2,
        GPSLongitudeRef = 3,
        GPSLongitude = 4,
        GPSAltitudeRef = 5,
        GPSAltitude = 6,
        GPSTimestamp = 7,
        GPSSatellites = 8,
        GPSStatus = 9,
        GPSMeasureMode = 10,
        GPSDOP = 11,
        GPSSpeedRef = 12,
        GPSSpeed = 13,
        GPSTrackRef = 14,
        GPSTrack = 15,
        GPSImgDirectionRef = 16,
        GPSImgDirection = 17,
        GPSMapDatum = 18,
        GPSDestLatitudeRef = 19,
        GPSDestLatitude = 20,
        GPSDestLongitudeRef = 21,
        GPSDestLongitude = 22,
        GPSDestBearingRef = 23,
        GPSDestBearing = 24,
        GPSDestDistanceRef = 25,
        GPSDestDistance = 26,
        GPSProcessingMethod = 27,
        GPSAreaInformation = 28,
        GPSDateStamp = 29,
        GPSDifferential = 30,
        GPSHPositioningError = 31,
        ImageWidth = 256,
        ImageLength = 257,
        BitsPerSample = 258,
        Compression = 259,
        PhotometricInterpretation = 262,
        ImageDescription = 270,
        Make = 271,
        Model = 272,
        StripOffsets = 273,
        Orientation = 274,
        SamplesPerPixel = 277,
        RowsPerStrip = 278,
        StripByteCounts = 279,
        XResolution = 282,
        YResolution = 283,
        PlanarConfiguration = 284,
        ResolutionUnit = 296,
        TransferFunction = 301,
        Software = 305,
        DateTime = 306,
        Artist = 315,
        WhitePoint = 318,
        PrimaryChromaticities = 319,
        JPEGInterchangeFormat = 513,
        JPEGInterchangeFormatLength = 514,
        YCbCrCoefficients = 529,
        YCbCrSubSampling = 530,
        YCbCrPositioning = 531,
        ReferenceBlackWhite = 532,
        Copyright = 33432,
        ExposureTime = 33434,
        FNumber = 33437,
        ExposureProgram = 34850,
        SpectralSensitivity = 34852,
        ISOSpeedRatings = 34855,
#pragma warning disable CA1069
        PhotographicSensitivity = 34855,
#pragma warning restore CA1069
        OECF = 34856,
        SensitivityType = 34864,
        StandardOutputSensitivity = 34865,
        RecommendedExposureIndex = 34866,
        ISOSpeed = 34867,
        ISOSpeedLatitudeyyy = 34868,
        ISOSpeedLatitudezzz = 34869,
        ExifVersion = 36864,
        DateTimeOriginal = 36867,
        DateTimeDigitized = 36868,
        ComponentsConfiguration = 37121,
        CompressedBitsPerPixel = 37122,
        ShutterSpeedValue = 37377,
        ApertureValue = 37378,
        BrightnessValue = 37379,
        ExposureBiasValue = 37380,
        MaxApertureValue = 37381,
        SubjectDistance = 37382,
        MeteringMode = 37383,
        LightSource = 37384,
        Flash = 37385,
        FocalLength = 37386,
        SubjectArea = 37396,
        MakerNote = 37500,
        UserComment = 37510,
        SubsecTime = 37520,
        SubsecTimeOriginal = 37521,
        SubsecTimeDigitized = 37522,
        XPTitle = 40091,
        XPComment = 40092,
        XPAuthor = 40093,
        XPKeywords = 40094,
        XPSubject = 40095,
        FlashpixVersion = 40960,
        ColorSpace = 40961,
        PixelXDimension = 40962,
        PixelYDimension = 40963,
        RelatedSoundFile = 40964,
        FlashEnergy = 41483,
        SpatialFrequencyResponse = 41484,
        FocalPlaneXResolution = 41486,
        FocalPlaneYResolution = 41487,
        FocalPlaneResolutionUnit = 41488,
        SubjectLocation = 41492,
        ExposureIndex = 41493,
        SensingMethod = 41495,
        FileSource = 41728,
        SceneType = 41729,
        CFAPattern = 41730,
        CustomRendered = 41985,
        ExposureMode = 41986,
        WhiteBalance = 41987,
        DigitalZoomRatio = 41988,
        FocalLengthIn35mmFilm = 41989,
        SceneCaptureType = 41990,
        GainControl = 41991,
        Contrast = 41992,
        Saturation = 41993,
        Sharpness = 41994,
        DeviceSettingDescription = 41995,
        SubjectDistanceRange = 41996,
        ImageUniqueID = 42016,
        CameraOwnerName = 42032,
        BodySerialNumber = 42033,
        LensSpecification = 42034,
        LensMake = 42035,
        LensModel = 42036,
        LensSerialNumber = 42037
    }

}