namespace View_by_Distance.Shared.Models.Stateless.Methods;

public interface IItem
{ // ...

    string TestStatic_GetWrongYearFlag(bool? isWrongYear) =>
        GetWrongYearFlag(isWrongYear);
    static string GetWrongYearFlag(bool? isWrongYear) => isWrongYear is null ? "#" : isWrongYear.Value ? "~" : "=";

    List<Models.Item> TestStatic_GetMerged(List<Models.Item> itemsA, List<Models.Item> itemsB) =>
        GetMerged(itemsA, itemsB);
    static List<Models.Item> GetMerged(List<Models.Item> itemsA, List<Models.Item> itemsB) =>
        Item.GetMerged(itemsA, itemsB);

}