namespace View_by_Distance.Shared.Models.Stateless.Methods;

internal abstract class Item
{

    internal static List<Models.Item> GetMerged(List<Models.Item> itemsA, List<Models.Item> itemsB)
    {
        List<Models.Item> results = new();
        List<string> collection = new();
        foreach (Models.Item item in itemsA)
        {
            results.Add(item);
            collection.Add(item.ImageFileHolder.FullName);
        }
        foreach (Models.Item item in itemsB)
        {
            if (collection.Contains(item.ImageFileHolder.FullName))
                continue;
            results.Add(item);
        }
        return results;
    }

}